Date.prototype.Format = function(fmt) { //author: meizz
	var o = {
		"M+": this.getMonth() + 1, //月份
		"d+": this.getDate(), //日
		"HH+": this.getHours(), //小时
		"m+": this.getMinutes(), //分
		"s+": this.getSeconds(), //秒
		"q+": Math.floor((this.getMonth() + 3) / 3), //季度
		"S": this.getMilliseconds() //毫秒
	};
	if (/(y+)/.test(fmt))
		fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for (var k in o)
		if (new RegExp("(" + k + ")").test(fmt))
			fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k])
				.length)));
	return fmt;
}


function initialize() {
	console.log('准备 initialize');
	document.getElementById("title").innerHTML = window.title.getStr();
	document.getElementById("content").innerHTML = window.content.getStr();
    console.log('准备 course');
	if (window.course.getStr() == "display") {
		document.getElementById("course").style.display = "flex";
		document.getElementById("course_title").innerHTML = window.course_title.getStr();
		document.getElementById("course_time").innerHTML = window.course_time.getStr();
		document.getElementById("course_img").src = window.course_img.getStr();
	} else {
		document.getElementById("course").style.display = "none";
	}
	console.log('准备 publishDate');
    if(window.publishDate.getStr()){
        document.getElementById("publishTime").innerHTML = window.publishDate.getStr();
    }
    console.log('准备 caijinghao');
	if (window.caijinghao.getStr() == "display") {
		document.getElementById("caijinghao").style.display = "flex";
		document.getElementById("caijinghao_title").innerHTML = window.caijinghao_title.getStr();
		document.getElementById("caijinghao_desc").innerHTML = window.caijinghao_desc.getStr();
		document.getElementById("caijinghao_attention").innerHTML = window.caijinghao_attention.getStr();
		document.getElementById("caijinghao_img").src = window.caijinghao_img.getStr();
	} else {
		document.getElementById("caijinghao").style.display = "none";
	}

	console.log('准备 a标签');
	var myAs = document.getElementsByTagName('a');
	if (myAs) {
		for (var i = 0; i < myAs.length; i++) {
			var itemA = myAs[i];
			itemA.style.color = "#1F70DD";
		}
	}
	console.log('准备 video标签');
	var myVideo = document.getElementsByTagName('video')[0];
	if (myVideo) {
		myVideo.controlsList = "nodownload";
	}
	console.log('准备 tips');
    var author = window.source.getStr();
    if (author != "" && author != "null" && author!= "undefined" && author!= undefined) {
    	document.getElementById("author").style.display = "flex";
    	document.getElementById("author").innerHTML = author;
    } else {
    	document.getElementById("author").style.display = "none";
    }
    console.log('准备 tips');
    var tips = window.readtip.getStr();
    if (tips != "" && tips != "null" && tips!= "undefined" && tips!= undefined) {
    	document.getElementById("readtip").style.display = "flex";
    	document.getElementById("readtip").innerHTML = tips;
    } else {
    	document.getElementById("readtip").style.display = "none";
    }
	console.log('准备 description');
	var dec = window.description.getStr();
	if (dec != "" && dec != "null" && dec!= "undefined" && dec!= undefined) {
		document.getElementById("description").style.display = "flex";
		document.getElementById("description").innerHTML = dec;
	} else {
		document.getElementById("description").style.display = "none";
	}
	console.log('准备 showvoice');
	if (window.showvoice.getStr()=="1") {
		console.log('showvoice  flex');
		document.getElementById("listen").style.display = "flex";
		document.getElementById("listen_title").innerHTML = window.listen_title.getStr();
		var listen_dec = window.listen_desc.getStr();
        if (listen_dec != "" && listen_dec != "null" && listen_dec!= "undefined" && listen_dec!= undefined) {
        	document.getElementById("listen_desc").style.display = "flex";
            document.getElementById("listen_desc").innerHTML = listen_dec;
        } else {
        	document.getElementById("listen_desc").style.display = "none";
        }
	}else{
		console.log('showvoice  none');
		document.getElementById("listen").style.display = "none";
	}

	//限制3行
//	initOpenStatus();

	resize()

}
//语音阅读
function startVoice() {
	window.js_callback.startVoice();
}
//点击关注
function followClick() {
	window.js_callback.followClick();
}
//点击头像
function caijingClick() {
	window.js_callback.caijingClick();
}
//点击课程头像
function courseClick() {
	window.js_callback.courseClick();
}
/*显示大图**/
function showBigImage() {
	var images = document.getElementById("content").getElementsByTagName("img");
	var imageMap = {};
	if (window.pictures) {
		pictures_json = eval(window.pictures.getStr());

		for (var i = 0; i < pictures_json.length; i++) {
			imageMap[pictures_json[i].pictureId] = pictures_json[i];
		}
	}
	if (images) {
		for (var i = 0; i < images.length; i++) {
			var image = images[i];
			if (image.parentNode.nodeName == "A") {
				continue;
			}
			if (window.medias && i == 0) {
				continue;
			}
			var picId = image.id;

			if (picId && imageMap[picId]) {
				var picture = imageMap[picId];
				var url = picture.linkurl;
				if (url != "null" && url != "") {
					if (url.trim().indexOf("http://") == -1) {
						url = "http://" + url;
					}
					addImagelink(picId, url);
				} else {
					image.onclick = function() {
						window.js_callback.onImageClick(imageMap[this.id].fileHD);
					};
				}
			} else {
				image.onclick = function() {
					window.js_callback.onImageClick(this.src);
				};
			}
			image.onload = function() {
				resize();
				console.log('图片完成');
			}
		}
	} else {
		resize();
	}
}

/*原生播放器**/
function showRealVideo() {
	var videos = document.getElementsByTagName("video")[0];
	if (videos) {
		var width = videos.clientWidth;
		var height = videos.clientHeight;
		var top = videos.offsetTop;
		var left = videos.offsetLeft;
		//        videos.style.display = "none"
		window.js_callback.showRealVideo(width, height, top, left, videos.currentSrc, videos.poster);
	} else {
		window.js_callback.showRealVideo(0, 0, 0, 0, "", "");
	}
}

function resize() {
    window.js_callback.resize(document.body.getBoundingClientRect().height);
//	window.js_callback.resize(document.body.scrollHeight);
}

function setFontSize(fontsize, titleSize, timeSize, descSize) {
	var content = document.getElementById("content");
	removeClass(content, "fontSize0");
	removeClass(content, "fontSize1");
	removeClass(content, "fontSize2");
	removeClass(content, "fontSize3");
	removeClass(content, "fontSize10");
	removeClass(content, "fontSize11");
	removeClass(content, "fontSize12");
	removeClass(content, "fontSize13");

	console.log('文字大小 = ' + fontsize);


	if (fontsize == 0) {
		addClass(content, "fontSize0");
	} else if (fontsize == 10) {
		addClass(content, "fontSize10");
		console.log('文字大小 = 小');
	} else if (fontsize == 1) {
		addClass(content, "fontSize1");
	} else if (fontsize == 11) {
		addClass(content, "fontSize11");
		console.log('文字大小 = 正常');
	} else if (fontsize == 2) {
		addClass(content, "fontSize2");
	} else if (fontsize == 12) {
		addClass(content, "fontSize12");
		console.log('文字大小 = 大');
	} else if (fontsize == 3) {
		addClass(content, "fontSize3");
	} else if (fontsize == 13) {
		addClass(content, "fontSize13");
		console.log('文字大小 = 特大');
	}
	//    document.getElementById("content").style.fontSize = contentSize;
	//    document.getElementsByTagName("p").style.fontSize = contentSize;
	//console.log('文字大小 = '+document.getElementById("content").style.fontSize);
	document.getElementById("title").style.fontSize = titleSize;
	document.getElementById("author").style.fontSize = timeSize;
	document.getElementById("publishTime").style.fontSize = timeSize;
	document.getElementById("readtip").style.fontSize = timeSize;
	document.getElementById("description").style.fontSize = descSize;
}

function setContentBg(contentBg) {
	var body = document.getElementById("bodyId")
	//var caijing = document.getElementById("caijinghao")
	var imgVoice = document.getElementById("voice_icon")
	removeClass(body, "night");
	if (contentBg == 2) {
		addClass(body, "night");
		//addClass(caijing,"night");
		console.log('夜间');
		imgVoice.src = "file:///android_asset/newsdetail/picture/voice_icon_night.png";
	} else {
		console.log('日间');
		imgVoice.src = "file:///android_asset/newsdetail/picture/voice_icon_3.png";
	}
}

function insertNewP(index, url) {
	var contentDiv = document.getElementsByClassName("content");
	var pNode = document.createElement("p");
	pNode.setAttribute("id", "android_insert_p" + index);
	pNode.style = "text-align: center";
	var newNode = document.createElement("img");
	newNode.setAttribute("id", "android_insert_img");
	var reforeNode = document.getElementsByTagName("p")[index];

	newNode.src = url;
	newNode.style.width = "100%";
	newNode.style.height = "100%";

	pNode.appendChild(newNode);

	var spanElement = document.createElement("span");
	spanElement.setAttribute("class", "playicon");
	var parent = newNode.parentNode;
	parent.style.position = "relative";

	var pBottomNode = document.createElement("span");
	pBottomNode.setAttribute("id", "android_ad_bottom");
	pBottomNode.innerHTML = "广告"

	insertAfter(spanElement, newNode, parent);
	insertAfter(pBottomNode, newNode, parent);

	contentDiv[0].insertBefore(pNode, reforeNode);

	newNode.onclick = function() {
		window.js_callback.insertVideoReady(newNode.width, newNode.height, pNode.offsetTop, pNode.offsetLeft, url);
	}
	newNode.onload = function() {
		window.js_callback.insertPicScroll(newNode.width, newNode.height, pNode.offsetTop, pNode.offsetLeft, url);
	}
	spanElement.onclick = function() {
		window.js_callback.insertVideoReady(newNode.width, newNode.height, pNode.offsetTop, pNode.offsetLeft, url);
	}
}

function insertAfter(newElement, targetElement, parent) {

	if (parent.lastChild == targetElement) { //如果目标元素是最后一个元素
		parent.appendChild(newElement); //将元素插入到父元素下的最后一个元素
	} else {
		parent.insertBefore(newElement, targetElement.nextsibling); //讲元素插入到目标元素的下一个兄弟元素的前面
	}
}

function getNewNode(index) {
	var pNode = document.getElementById("android_insert_p" + index);
	var newNode = document.getElementById("android_insert_img");
	window.js_callback.sendVideoParams(newNode.width, newNode.height, pNode.offsetTop, pNode.offsetLeft);
}

function addVideoView(index, url) {
	var pNode = document.getElementById("android_insert_p" + index);
	var newNode = document.getElementById("android_insert_img");
	window.js_callback.insertVideoReady(newNode.width, newNode.height, pNode.offsetTop, pNode.offsetLeft, url);
}

function hasClass(elements, cName) {
	return !!elements.className.match(new RegExp("(\\s|^)" + cName + "(\\s|$)"));
};

function addClass(elements, cName) {
	if (!hasClass(elements, cName)) {
		elements.className += " " + cName;
		console.log(elements+' -add- '+cName);
	};
};

function removeClass(elements, cName) {
	if (hasClass(elements, cName)) {
		elements.className = elements.className.replace(new RegExp("(\\s|^)" + cName + "(\\s|$)"), " ");
		console.log(elements+' -remove- '+cName);
	};
};
function initOpenStatus() {
	var openView = document.getElementById("openView");
	openView.style.display = "flex";
	isOpenContent = true;
	openContent();
};
var isOpenContent = false;
function openContent() {
	var contentElement = document.getElementById("content");
	var toOpenElemtne = document.getElementById("toOpen");
	if(!isOpenContent){
		isOpenContent = true;
		removeClass(contentElement,"row3")
		toOpenElemtne.innerHTML = "点我收起"
		window.js_callback.onOpend(true);
	}else{
		isOpenContent = false;
		addClass(contentElement,"row3")
		toOpenElemtne.innerHTML = "点我展开"
		window.js_callback.onOpend(false);
	}
	resize();
}

function setCaijingImage(picture) {
	var imgElement = document.getElementById("caijinghao_img");
	imgElement.src = picture;
	imgElement.onerror = null;
}
function setDefaultImage(elementId) {
	var imgElement = document.getElementById(elementId);
	imgElement.src = 'file:///android_asset/newsdetail/picture/icon_default_list.png';
}
function setFollowText(text) {
	var imgElement = document.getElementById("caijinghao_attention");
	imgElement.innerHTML = text;
}
function setPlayingStatus(playing) {
	var imgElement = document.getElementById("listen_img");
	if(playing){
		imgElement.src = 'file:///android_asset/newsdetail/picture/icon_orange_pause.png';
	}else{
		imgElement.src = 'file:///android_asset/newsdetail/picture/icon_orange_play.png';
	}

}
function hideCaijing() {
	var caijing = document.getElementById("caijinghao");
	caijing.style.display = "none";
	caijing.parent.removeChild(caijing);
}

window.onload = function() {
    console.log("aaaaaaaaaa");
    console.log('onload');

	initialize();
	var videos = document.getElementsByTagName("video")[0];
	if (videos) {
		videos.addEventListener('play', function() {
			window.js_callback.showVideoStatus();
		});
	}
	showBigImage()
}
